<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Ics;

class IcsAuswahlController extends \Kufer\Web\KuferTools\Basis\Ics\IcsAuswahlController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new IcsAuswahlUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $belnrString = \GetOperations::getVarValue('belnummern');
    $requestObj->belnummern = explode(':', $belnrString);
    $terminNr = \GetOperations::getVarValue('terminnr');
    $requestObj->terminNr = explode(':', $terminNr);

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new IcsAuswahlPresenter($pUseCaseResponse);
  }
}